漏洞信息详情

Apache NiFi 跨站脚本漏洞

漏洞简介

Apache NiFi是美国阿帕奇(Apache)软件基金会的一套基于数据流的数据处理和分发系统。该系统支持数据路由指示图的配置和转换以及系统中介逻辑等。

Apache NiFi 1.0.0版本至1.7.1版本中的X-ProxyContextPath存在跨站脚本漏洞,该漏洞源于message-page.jsp错误页面没有进行过滤就直接使用了HTTP请求报头X-ProxyContextPath的值。远程攻击者可利用该漏洞注入任意的Web脚本或HTML。

漏洞公告

目前厂商已发布升级补丁以修复漏洞,补丁获取链接:

https://nifi.apache.org/security.html#CVE-2018-17193

参考网址

来源:nifi.apache.org

链接:https://nifi.apache.org/security.html#CVE-2018-17193

受影响实体

    暂无


漏洞信息快速查询

相关漏洞

更多